Description: mask teiaddphonetics failure
 Teiaddphonetics can fail on a dictionary, aborting the whole package build
 process. This patch circumvents this issue by copying the unmodified TEI file
 to the destination so that the build process can continue.
Author: Sebastian Humenda <shumenda@gmx.de>
Last-Update: 2019-01-29

Index: freedict-tools/mk/dicts.mk
===================================================================
--- freedict-tools.orig/mk/dicts.mk
+++ freedict-tools/mk/dicts.mk
@@ -95,7 +95,8 @@ $(BUILD_DIR)/tei:
 	mkdir -p $@
 
 $(call dict_tei_source): $(dictname).tei | $(BUILD_DIR)/tei
-	$(TEIADDPHONETICS) --infile $< --outfile $@
+	if ! $(TEIADDPHONETICS) --infile $< --outfile $@; then \
+		cp $^ $@; fi
 else ifeq ($(shell echo '$(supported_phonetics_lang)' |tr -d '[:space:]'|tail -c 1),1)
 dict_tei_source = $(error Espeak or espeak-ng not installed, please install it and proceed.)
 endif
